<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css">
		form{
			width:400px;
			margin:10px auto;
		}
		input{
			display:block;
			float:left;
			clear:both;
			margin:10px;
		}
		
		label{
			display:block;
			float:left;
			margin:10px;
		}

		button{
			display:block;
			clear:both;
			width:200px;
		}
	</style>
	<script type="text/javascript">
	window.addEventListener("load",e=>{
		document.querySelector("button").addEventListener("click",(e)=>{
			var nombre=document.querySelectorAll("input")[0].value;
			var edad=document.querySelectorAll("input")[1].value;
			var mensaje={
				numeroErrores: 0,
				listadoErrores: new Array(),
				unoMas:function(valor){
					this.listadoErrores.push(valor);
					this.numeroErrores++;
				}
			}
			try{
				if(nombre==""){
					mensaje.unoMas.call(mensaje,"nombre esta vacia");
				}else if(nombre.length>50){
					mensaje.unoMas.call(mensaje,"nombre demasiado largo, longitud maxima 50");
				}

				if(edad==""){
					mensaje.unoMas.call(mensaje,"edad esta vacia")
				}else if(isNaN(parseInt(edad))){
					mensaje.unoMas.call(mensaje,"La edad debe ser un numero");
				}else if(parseInt(edad)>10){
					mensaje.unoMas.call(mensaje,"La edad es demasiado alta");
				}else if(parseInt(edad)<0){
					mensaje.unoMas.call(mensaje,"La edad es demasiado baja");
				}

				if(mensaje.numeroErrores>0){
					throw {
						nombre: "Errores de validacion",
						numeroErrores: mensaje.numeroErrores,
						listadoErrores: mensaje.listadoErrores
					};
				}
				var caja=document.querySelector(".errores");
				caja.innerHTML="";
			}catch(e){
				var caja=document.querySelector(".errores");
				caja.innerHTML="El numero de errores es " + e.numeroErrores;
				for(var c=0;c<e.numeroErrores;c++){
					caja.innerHTML+="<br>" + e.listadoErrores[c];
				}
			}
		});
	});

		
	</script>
</head>
<body>
	<div class="errores">
		
	</div> 
	<form>
		<input type="text" name="nombre" id="nombre"> <label for="nombre">Nombre</label>
		<input type="text" name="edad" id="edad"> <label for="edad">Edad</label>
		<button type="button">
			Comprobar
		</button>
	</form>
	
</body>
</html>